# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /usr/bin/perl /usr/bin/pod2man perl(Archive/Tar.pm) perl(Config.pm) perl(Grid/GPT/Locations.pm) perl(Pod/Usage.pm) perl(XML/Parser.pm)
# END SourceDeps(oneline)
%add_findreq_skiplist /usr/share/globus/gpt/config.guess
%define fedora 19
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}

Name:		grid-packaging-tools
Version:	3.6.3
Release:	alt1_3
Summary:	Grid Packaging Tools (GPT)

Group:		Development/Tools
License:	NCSA
URL:		http://www.gridpackagingtools.com/
#		Maintenance of GPT has been taken over by Globus.
#		Use the latest source tarball from their repository.
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.3/packages/src/gpt-%{version}.tar.gz
Patch0:		%{name}-syntax.patch
Patch1:		%{name}-force.patch
BuildRequires:	libtool
BuildRequires:	perl
%if %{?fedora}%{!?fedora:0} >= 19 || %{?rhel}%{!?rhel:0} >= 7
BuildRequires:	perl-podlators
%endif
Requires:	gzip
Requires:	tar
Requires:	autoconf
Requires:	automake
Requires:	libtool
Requires:	rpm
Requires:	rpm-build
BuildArch:	noarch
Source44: import.info
# skip local
%filter_from_requires /^perl.Grid.GPT.InstallationCache.pm./d
%filter_from_requires /^perl.MyFilelists.pm./d

%description
GPT is a collection of packaging tools built around an XML based
packaging data format. This format provides a straight forward way to
define complex dependency and compatibility relationships between
packages. The tools provide a means for developers to easily define the
packaging data and include it as part of their source code distribution.
Binary packages can be automatically generated from this data. The
packages defined by GPT are compatible with other packages and can be
easily converted.

%prep
%setup -q -n gpt-%{version}
%patch0 -p1
%patch1 -p1

touch aclocal.m4
touch Makefile.in
touch configure

for i in config.guess config.sub ; do
  [ -f /usr/share/libtool/$i ] && rm $i && cp -p /usr/share/libtool/$i $i
done

%build
unset GLOBUS_LOCATION
unset GPT_LOCATION
%configure --libexecdir='${datadir}/globus' \
	   --with-perlmoduledir=%{perl_vendor_privlib}
make %{?_smp_mflags}

%install

make install DESTDIR=%{buildroot}

# Remove references to libdir so that the package is architecture independent
sed '/^$libdir/d' -i %{buildroot}%{_sbindir}/* \
    %{buildroot}%{perl_vendor_privlib}/Grid/GPT/PkgMngmt/SetupBuildFlavors.pm \
    %{buildroot}%{perl_vendor_privlib}/Grid/GPT/Locations.pm

# Remove old globus core source tarball - users should install an up-to-date
# globus-core package instead of having gpt compile it from source
rm %{buildroot}%{_datadir}/globus/gpt/globus_core-src.tar.gz

%files
%doc CHANGES LICENSE README
%{_sbindir}/*
%{_datadir}/globus
%{_mandir}/man8/*
%{perl_vendor_privlib}/Grid

%changelog
* Tue Apr 02 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.3-alt1_3
- update to new release by fcimport

* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.3-alt1_2
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 3.6.3-alt1_1
- initial fc import

